Support » Plugin: WP REST API (WP API) » PHP 7 Compatibility

  • What is the current roadmap to PHP 7 compatibility?

    Specifically, a compatibility check revealed the following issues:

    /wp-content/plugins/rest-api/lib/endpoints/class-wp-rest-revisions-controller.php
    245 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.
    248 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.

    /wp-content/plugins/rest-api/lib/endpoints/class-wp-rest-comments-controller.php
    560 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.
    561 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.

    /wp-content/plugins/rest-api/lib/endpoints/class-wp-rest-posts-controller.php
    683 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.
    692 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.

    /wp-content/plugins/rest-api/extras.php
    150 | ERROR | Extension ‘mysql_’ is deprecated since PHP 5.5 and deprecated since PHP 5.6 and removed since PHP 7.0 – use mysqli instead.

    https://wordpress.org/plugins/json-rest-api/

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • The topic ‘PHP 7 Compatibility’ is closed to new replies.